## weechat-matrix 0.2.0

=== Makefile ===
.PHONY: install install-lib install-dir uninstall phony test typecheck

WEECHAT_HOME ?= $(HOME)/.weechat
PREFIX ?= $(WEECHAT_HOME)
PYTHON ?= python

lib := $(patsubst matrix/%.py, $(DESTDIR)$(PREFIX)/python/matrix/%.py, \
	 $(wildcard matrix/*.py))

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install: install-dir install-lib ## Install the plugin to $(DESTDIR)/$(PREFIX)
	install -m644 main.py $(DESTDIR)$(PREFIX)/python/matrix.py

install-lib: $(lib)
install-dir:
	install -d $(DESTDIR)$(PREFIX)/python/matrix

uninstall: ## Uninstall the plugin from $(PREFIX)
	rm $(DESTDIR)$(PREFIX)/python/matrix.py $(DESTDIR)$(PREFIX)/python/matrix/*
	rmdir $(DESTDIR)$(PREFIX)/python/matrix

phony:

$(DESTDIR)$(PREFIX)/python/matrix/%.py: matrix/%.py phony
	install -m644 $< $@

test: ## Run automated tests
	python3 -m pytest
	python2 -m pytest

typecheck: ## Run type check
	mypy -p matrix --ignore-missing-imports --warn-redundant-casts

=== requirements.txt ===
pyOpenSSL
typing ; python_version < "3.5"
webcolors
future
atomicwrites
attrs
logbook
pygments
matrix-nio[e2e]>=0.6
aiohttp ; python_version >= "3.5"
python-magic
requests

=== debian/changelog ===
weechat-matrix (0.2.0-2) unstable; urgency=low

  * Rebuild for source-only upload

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Oct 2020 14:25:56 +0200

weechat-matrix (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #968068)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Oct 2020 14:25:06 +0200

=== debian/control ===
Source: weechat-matrix
Section: python
Priority: optional
Maintainer: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-hypothesis,
               python3-matrix-nio,
               python3-pygments,
               python3-pytest,
               python3-setuptools,
               python3-webcolors
Standards-Version: 4.5.0
Homepage: https://github.com/poljar/weechat-matrix
Vcs-Browser: https://salsa.debian.org/debian/weechat-matrix
Vcs-Git: https://salsa.debian.org/debian/weechat-matrix.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: weechat-matrix
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-openssl,
         python3-webcolors,
         python3-future,
         python3-atomicwrites,
         python3-logbook,
         python3-pygments,
         python3-matrix-nio,
         python3-aiohttp,
         python3-magic,
         python3-requests,
         weechat
Description: matrix plugin for weechat
 A Python plugin for Weechat that allows weechat to communicate
 over the Matrix protocol. Currently supports large parts of the
 Matrix protocol, but end-to-end encryption is still
 experimental.
 .
 Weechat is a fast and light chat client for many operating
 systems. Everything can be done with a keyboard

=== debian/rules ===
#!/usr/bin/make -f
DESTDIR = $(CURDIR)/debian/tmp
WEECHAT_HOME = /usr/lib/$(DEB_HOST_MULTIARCH)/weechat/plugins

%:
	dh $@ --with python3

override_dh_auto_build:
	true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest
endif

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install DESTDIR=$(DESTDIR) WEECHAT_HOME=$(WEECHAT_HOME)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%weechat-matrix-$1.tar.gz%" \
   https://github.com/poljar/weechat-matrix/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## weechat-matrix 0.3.0

=== Makefile ===
.PHONY: install install-lib install-dir uninstall phony test typecheck

WEECHAT_HOME ?= $(HOME)/.weechat
PREFIX ?= $(WEECHAT_HOME)
PYTHON ?= python

INSTALLDIR := $(DESTDIR)$(PREFIX)/python/matrix

lib := $(patsubst matrix/%.py, $(INSTALLDIR)/%.py, \
	 $(wildcard matrix/*.py))

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install: install-lib | $(INSTALLDIR) ## Install the plugin to $(DESTDIR)/$(PREFIX)
	install -m644 main.py $(DESTDIR)$(PREFIX)/python/matrix.py

install-lib: $(lib)
$(INSTALLDIR):
	install -d $@

uninstall: ## Uninstall the plugin from $(PREFIX)
	rm $(DESTDIR)$(PREFIX)/python/matrix.py $(INSTALLDIR)/*
	rmdir $(INSTALLDIR)

phony:

$(INSTALLDIR)/%.py: matrix/%.py phony | $(INSTALLDIR)
	install -m644 $< $@

test: ## Run automated tests
	python3 -m pytest
	python2 -m pytest

typecheck: ## Run type check
	mypy -p matrix --ignore-missing-imports --warn-redundant-casts

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pyOpenSSL
 typing ; python_version < "3.5"
 webcolors
-future
+future; python_version < "3.2"
 atomicwrites
 attrs
 logbook

=== debian/changelog ===
weechat-matrix (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch for Python 3.10 (Closes: #1008836)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Apr 2022 11:51:32 +0200

weechat-matrix (0.3.0-3) unstable; urgency=medium

  * Fix NEWS entry version to actually show

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 24 Nov 2021 14:20:25 +0200

weechat-matrix (0.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop unused d/salsa-ci.yml
  * Update d/watch
  * Bump policy version (no changes)
  * Install contrib files
  * Install to /usr/share/weechat/python

  [ Kyle Robbertze ]
  * Add autopkgtest for upstream unit tests

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Nov 2021 14:14:58 +0200

weechat-matrix (0.3.0-1) unstable; urgency=medium

  * Fix disable call for wrapper script (Closes: #992032)
  * New upstream version 0.3.0
  * Bump standards-version to 4.5.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 15 Aug 2021 09:14:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                python3-all,
                python3-hypothesis,
                python3-matrix-nio,
@@ -11,17 +10,16 @@
                python3-pytest,
                python3-setuptools,
                python3-webcolors
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/poljar/weechat-matrix
 Vcs-Browser: https://salsa.debian.org/debian/weechat-matrix
 Vcs-Git: https://salsa.debian.org/debian/weechat-matrix.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: weechat-matrix
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         ${python3:Depends},
          python3-openssl,
          python3-webcolors,
          python3-future,
@@ -32,7 +30,7 @@
          python3-aiohttp,
          python3-magic,
          python3-requests,
-         weechat
+Recommends: weechat,
 Description: matrix plugin for weechat
  A Python plugin for Weechat that allows weechat to communicate
  over the Matrix protocol. Currently supports large parts of the

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX="/usr/share/weechat"

%:
	dh $@

=== debian/tests/control ===
Test-Command: make test
Depends: weechat-matrix, python3-pytest, make, @builddeps@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/poljar/weechat-matrix/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@
